com.dlsc.flexgantt.swing.treetable

## Interface IColumnHeaderRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultColumnHeaderRenderer, MacColumnHeaderRenderer

      public interface IColumnHeaderRenderer
      extends IRenderer

  A renderer used to visualize the individual headers of columns. Each column can have its own renderer depending on the type of the header value (see `TreeTableColumn.getHeaderValue()`). Header renderers need to make sure that they visualize the sorting direction if sorting is applied on a column.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `TreeTableHeader.setColumnHeaderRenderer(Class, IColumnHeaderRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getColumnHeaderRendererComponent(TreeTableHeader header, TreeTableColumn column, boolean selected, boolean hasFocus, SortDirection sortDirection, int sortPosition)` Returns a component that gets used to render the header of a column in the tree table header component.

- - ### Method Detail

    - #### getColumnHeaderRendererComponent

          Component getColumnHeaderRendererComponent(TreeTableHeader header,
                                                     TreeTableColumn column,
                                                     boolean selected,
                                                     boolean hasFocus,
                                                     SortDirection sortDirection,
                                                     int sortPosition)

      Returns a component that gets used to render the header of a column in the tree table header component.
      Parameters:
        `header` - the tree table header component in which the header will be rendered
        `column` - the column for which to draw a header
        `selected` - a flag indicating whether the column is currently selected
        `hasFocus` - a flag indicating whether the column currently has the focus
        `sortDirection` - indicates whether the column is sorted and in which direction
        `sortPosition` - the sort position (important when doing a multi-column sort)
      Returns:
        a component that will renderer the header of the given column
      Since:
        1.0 TODO implement the focus and selection support inside the table header

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.